Skip to Content
YuzeDocs
Transactions

List a transaction's line items

GET
/v1/transactions/{id}/items

Returns the line items of one transaction, oldest first. Needs transactions:read. A line is marked isVoid: true when the line or its whole transaction was voided.

Authorization

bearerAuth
headerAuthorizationBearer <api_key>

Path Parameters

id*string

String. The transaction id from List transactions.

Match^[A-Za-z0-9_-]{1,128}$

Query Parameters

include?"unit_cost"

unit_cost. Adds unitCost to each line item. Left out: no unit cost.

Value in"unit_cost"

Response Body

Line items, oldest first

application/json
  1. response
data*array<>
meta*
Example Request
curl -X GET 'https://europe-west2-fyre-pos.cloudfunctions.net/publicApi/v1/transactions/YOUR_TRANSACTION_ID/items?include=unit_cost'
Example Response
{  "data": [    {      "id": "YOUR_TRANSACTION_ID_L1",      "transactionId": "YOUR_TRANSACTION_ID",      "branchId": "YOUR_BRANCH_ID",      "name": "Margherita Pizza",      "productId": "prod_margherita",      "variantId": null,      "categoryId": "cat_mains",      "quantity": 2,      "unitPrice": 10,      "currency": "GBP",      "taxRate": 0.2,      "discount": null,      "discountTotal": 0,      "lineTotal": 20,      "netLineTotal": 20,      "modifiers": [        {          "name": "Extra mozzarella",          "unitPrice": 1.5,          "quantity": 1,          "taxRate": 0.2        }      ],      "isVoid": false,      "isComp": false,      "createdAt": "2026-11-11T19:31:02.000Z"    }  ],  "meta": {    "requestId": "6f1c2a9e-4b1d-4c4b-9d8e-0a1b2c3d4e5f"  }}